.carousel.vertical .carousel-inner {
	height: 100%;
	width: auto;
}

.carousel.vertical .carousel-inner > .item {
	width: auto;
	-moz-transition: 0.6s ease-in-out top;
}

@media all and (transform-3d), (-webkit-transform-3d) {
	.carousel.vertical .carousel-inner > .item.next, .carousel.vertical .carousel-inner > .item.active.right {
		-webkit-transform: translate3d(0, 100%, 0);
		transform: translate3d(0, 100%, 0);
		top: 0;
	}

	.carousel.vertical .carousel-inner > .item.prev, .carousel.vertical .carousel-inner > .item.active.left {
		-webkit-transform: translate3d(0, -100%, 0);
		transform: translate3d(0, -100%, 0);
		top: 0;
	}

	.carousel.vertical .carousel-inner > .item.next.left, .carousel.vertical .carousel-inner > .item.prev.right, .carousel.vertical .carousel-inner > .item.active {
		-webkit-transform: translate3d(0, 0, 0);
		transform: translate3d(0, 0, 0);
		top: 0;
	}
}

.carousel.vertical .carousel-inner > .active,
.carousel.vertical .carousel-inner > .next,
.carousel.vertical .carousel-inner > .prev {
	display: block;
}

.carousel.vertical .carousel-inner > .active {
	top: 0;
}

.carousel.vertical .carousel-inner > .next,
.carousel.vertical .carousel-inner > .prev {
	position: absolute;
	top: 0;
	width: 100%;
}

.carousel.vertical .carousel-inner > .next {
	top: 100%;
}

.carousel.vertical .carousel-inner > .prev {
	top: -100%;
}

.carousel.vertical .carousel-inner > .next.left,
.carousel.vertical .carousel-inner > .prev.right {
	top: 0;
}

.carousel.vertical .carousel-inner > .active.left {
	top: -100%;
}

.carousel.vertical .carousel-inner > .active.right {
	top: 100%;
}

.carousel.vertical .carousel-indicators {
	width: 50px;
	height: 20px;
	-webkit-transform: rotate(90deg);
	transform: rotate(90deg);
	position: absolute;
	top: 50%;
	left: initial;
	right: 0;
	margin-left: 0;
}

.carousel.vertical .carousel-control {
	left: auto;
	width: 50px;
}

.carousel.vertical .carousel-control.up {
	top: 0;
	right: 0;
	bottom: 50%;
}

.carousel.vertical .carousel-control.down {
	top: 50%;
	right: 0;
	bottom: 0;
}

.carousel .carousel-control.left,
.carousel .carousel-control.right {
	width: 50px;
}

.carousel .carousel-control.left {
	right: 100%;
	left: auto;
}

.carousel .carousel-control.right {
	right: auto;
	left: 100%;
}

.carousel.vertical .carousel-control-full-width {
	width: 100%;
	position: relative;
	text-align: center;
}

.carousel.vertical .carousel-control .icon-prev,
.carousel.vertical .carousel-control .icon-next,
.carousel.vertical .carousel-control .glyphicon-chevron-up,
.carousel.vertical .carousel-control .glyphicon-chevron-down {
	position: absolute;
	top: 50%;
	z-index: 5;
	display: inline-block;
}

.carousel.vertical .carousel-control .icon-prev,
.carousel.vertical .carousel-control .glyphicon-chevron-up {
	left: 50%;
	margin-left: -10px;
	top: 50%;
	margin-top: -10px;
}

.carousel.vertical .carousel-control .icon-next,
.carousel.vertical .carousel-control .glyphicon-chevron-down {
	left: 50%;
	margin-left: -10px;
	top: 50%;
	margin-top: -10px;
}

.carousel.vertical .carousel-control .icon-up,
.carousel.vertical .carousel-control .icon-down {
	width: 20px;
	height: 20px;
	line-height: 1;
	font-family: serif;
}

.carousel.vertical .carousel-control .icon-prev:before {
	content: '\2039';
}

.carousel.vertical .carousel-control .icon-next:before {
	content: '\203a';
}
